Subject: bug#62378: closed (Re: [bug#62378] [PATCH 0/3] Update supported-systems.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 May 2023 20:21:02 +0000

Your bug report

#62378: [PATCH 0/3] Update supported-systems.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62378: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62378
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#62378] [PATCH 0/3] Update supported-systems.
From: Greg Hogan <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Thu, 11 May 2023 16:20:41 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, Mar 24, 2023 at 10:49 AM Christopher Baines <[email-masked]> wrote:
>
> Greg Hogan <[email-masked]> writes:
>
> > Greg Hogan (3):
> >   gnu: b2sum: Limit to x86_64-linux.
> >   gnu: tokyocabinet: Limit to x86_64-linux and i686-linux.
> >   gnu: libx86emu: Limit to x86_64-linux and i686-linux.
>
> Hi Greg,
>
> Thanks for these patches.
>
> I've pushed the b2sum one to master as
> e0cb344b18034bfb41905c627d2b3b9dbf2e65fb.
>
> I held back on the other two since they seem to successfully build on
> systems beyond the ones you've specified. I was checking the builds
> using data.guix.gnu.org.

I see that Debian has these two packages available for additional
architectures, but within Guix tokyocabinet fails with "gcc: error:
unrecognized command-line option ‘-minline-all-stringops’" on both
powerpc64le-linux (https://ci.guix.gnu.org/build/13653/details) and
aarch64-linux (https://ci.guix.gnu.org/build/49140/details). That
option looks to be x86 online
(https://gcc.gnu.org/onlinedocs/gcc-12.3.0/gcc/x86-Function-Attributes.html).
I don't see anything apropos in the list of Debian patches
(https://packages.debian.org/bullseye/tokyocabinet-bin).

Subject: [PATCH 0/3] Update supported-systems.
From: Greg Hogan <[email-masked]>
To: [email-masked]
Cc: Greg Hogan <[email-masked]>
Date: Wed, 22 Mar 2023 12:47:57 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Greg Hogan (3):
  gnu: b2sum: Limit to x86_64-linux.
  gnu: tokyocabinet: Limit to x86_64-linux and i686-linux.
  gnu: libx86emu: Limit to x86_64-linux and i686-linux.

 gnu/packages/crypto.scm         | 2 ++
 gnu/packages/databases.scm      | 2 ++
 gnu/packages/virtualization.scm | 2 ++
 3 files changed, 6 insertions(+)

-- 
2.40.0